Get a payment method mandate document
curl --request GET \
--url https://api.fintoc.com/v2/payment_methods/{id}/mandate_document \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/payment_methods/{id}/mandate_document"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/payment_methods/{id}/mandate_document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/payment_methods/{id}/mandate_document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/payment_methods/{id}/mandate_document"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/payment_methods/{id}/mandate_document")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/payment_methods/{id}/mandate_document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"download_url": "https://storage.example.com/mandates/contract.pdf?signature=2d9a",
"expires_at": "2026-10-04T12:05:00Z",
"filename": "contract.pdf"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such payments/payment_method: pm_nonexistent",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_payment_method_state",
"param": "payment_method",
"message": "Payment method pm_4eFgHiJkLmNoPqRs has no mandate contract",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Payment methods
Get a payment method mandate document
Returns a temporary URL to download the signed mandate contract of a mx_direct_debit payment method. The payment method must belong to your organization and match the mode (live or test) of the API key used. The contract is available regardless of the mandate status, including while the mandate is pending. The URL expires 5 minutes after the request. The API never returns the consumer’s identity documents.
GET
/
v2
/
payment_methods
/
{id}
/
mandate_document
Get a payment method mandate document
curl --request GET \
--url https://api.fintoc.com/v2/payment_methods/{id}/mandate_document \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/payment_methods/{id}/mandate_document"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/payment_methods/{id}/mandate_document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/payment_methods/{id}/mandate_document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/payment_methods/{id}/mandate_document"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/payment_methods/{id}/mandate_document")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/payment_methods/{id}/mandate_document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"download_url": "https://storage.example.com/mandates/contract.pdf?signature=2d9a",
"expires_at": "2026-10-04T12:05:00Z",
"filename": "contract.pdf"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such payments/payment_method: pm_nonexistent",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_payment_method_state",
"param": "payment_method",
"message": "Payment method pm_4eFgHiJkLmNoPqRs has no mandate contract",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Path Parameters
Response
The download URL, filename, and expiration of the signed mandate contract.
Download details for the signed mandate contract of a payment method.
Was this page helpful?